package com.mortals.xhx.tts.utils;

import java.io.File;
import java.io.IOException;
import java.util.List;

/**
 * @author ZYW
 * @date 2024-08-23 9:19
 */

public class AddMp3Util {
    public static String mergeMp3s(List<String> inputFiles) {
        String luJing = "/tmp/";
        if(System.getProperty("os.name").startsWith("Windows")){  //windows电脑测试路径
            luJing= "F:\\\\";
        }
        File f=new File(luJing);
        f.mkdirs();
        //生成处理后的文件
        String outputFile = luJing+"new.mp3";
        ProcessBuilder pb = new ProcessBuilder("sox");
        pb.command().addAll(inputFiles);
        pb.command().add(outputFile);

        try {
            Process process = pb.start();
            process.waitFor();
        } catch (IOException | InterruptedException e) {
            e.printStackTrace();
        }

        return outputFile;
    }
}
